### Method

# Clutter Stage grab

#### Declaration [src]

    ClutterGrab*
    clutter_stage_grab (
      ClutterStage* stage,
      ClutterActor* actor
    )

#### Description [src]

Grabs input onto a certain actor. Events will be propagated as usual inside its hierarchy.

#### Parameters

`actor`

  Type: `ClutterActor`

  The actor grabbing input.

  The data is owned by the caller of the method.

#### Return value

Type: `ClutterGrab`

An opaque `ClutterGrab` handle, drop with `clutter_grab_dismiss()`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.